summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
Diffstat (limited to 'academic')
-rw-r--r--academic/ngspice/README5
-rw-r--r--academic/ngspice/ngspice.SlackBuild102
-rw-r--r--academic/ngspice/ngspice.info12
-rw-r--r--academic/ngspice/slack-desc19
4 files changed, 138 insertions, 0 deletions
diff --git a/academic/ngspice/README b/academic/ngspice/README
new file mode 100644
index 0000000000..083dce3887
--- /dev/null
+++ b/academic/ngspice/README
@@ -0,0 +1,5 @@
+Ngspice is a mixed-level/mixed-signal circuit simulator. Its code is
+based on three open source software packages: Spice3f5, Cider1b1 and
+Xspice. Ngspice is part of gEDA project, a full GPL'd suite of
+Electronic Design Automation tools.
+
diff --git a/academic/ngspice/ngspice.SlackBuild b/academic/ngspice/ngspice.SlackBuild
new file mode 100644
index 0000000000..cea52c66f1
--- /dev/null
+++ b/academic/ngspice/ngspice.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for ngspice
+# Written by B. Jogai <jogaib {at} comcast [dot] net>
+
+# Set initial variables:
+
+PRGNAM=ngspice
+VERSION=21
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/ng-spice-rework-$VERSION.tar.gz
+rm -rf $PRGNAM-doc-$VERSION
+tar xvf $CWD/$PRGNAM-doc-$VERSION.tar.gz
+(cd $PRGNAM-doc-$VERSION
+ chown -R root:root .
+ chmod -R u+w,go+r-w,a-s .
+)
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Fix the lib path to the code modules
+if [ "$ARCH" = "x86_64" ]; then
+ sed -i "s%/lib/%/lib${LIBDIRSUFFIX}/%g" src/spinit.in
+fi
+
+CFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --bindir=/usr/bin \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --disable-debug \
+ --with-readline=yes \
+ --enable-xgraph \
+ --enable-xspice \
+ --enable-cider \
+ --enable-dot-global \
+ --enable-intnoise \
+ --enable-numparam \
+ --enable-shared \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make DESTDIR=$PKG install
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/examples
+cp -a ANALYSES AUTHORS BUGS COPYING ChangeLog DEVICES FAQ \
+ INSTALL NEWS README* ../$PRGNAM-doc-$VERSION/*.pdf examples/ \
+ xgraph/examples/ \
+ $PKG/usr/doc/$PRGNAM-$VERSION/
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/ngspice/ngspice.info b/academic/ngspice/ngspice.info
new file mode 100644
index 0000000000..41f63466f6
--- /dev/null
+++ b/academic/ngspice/ngspice.info
@@ -0,0 +1,12 @@
+PRGNAM="ngspice"
+VERSION="21"
+HOMEPAGE="http://ngspice.sourceforge.net/"
+DOWNLOAD="http://sourceforge.net/projects/ngspice/files/ng-spice-rework-21.tar.gz
+ http://sourceforge.net/projects/ngspice/files/ngspice-doc-21.tar.gz"
+MD5SUM="68ae18d4c1f7312a1b8e7a5c0858b146
+ 6ee7d0f5f23a7c61bf96227ca523cad8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="B. Jogai"
+EMAIL="jogaib <at> comcast {dot} net"
+APPROVED="dsomero"
diff --git a/academic/ngspice/slack-desc b/academic/ngspice/slack-desc
new file mode 100644
index 0000000000..878cb8a439
--- /dev/null
+++ b/academic/ngspice/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ngspice: ngspice (mixed-level/mixed-signal circuit simulator)
+ngspice:
+ngspice: Ngspice is a mixed-level/mixed-signal circuit simulator. Its code is
+ngspice: based on three open source software packages: Spice3f5, Cider1b1 and
+ngspice: Xspice. Ngspice is part of gEDA project, a full GPL'd suite of
+ngspice: Electronic Design Automation tools.
+ngspice:
+ngspice:
+ngspice:
+ngspice:
+ngspice: